/*------------------------------------*\
    #STAGE
\*------------------------------------*/
/**
 * Stage object.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.objects';

$inuit-stage-space-vertical: $inuit-base-space-vertical !default;

.#{$inuit-namespace}stage,
%#{$inuit-namespace}stage {
    //margin-bottom: $inuit-base-space-vertical-small-only;
    position: relative;

    @media #{$medium-up} {
        //margin-bottom: 20px;
    }

    &--full {
        width: 100%;
    }
}

.#{$inuit-namespace}stage__img-wrap,
%#{$inuit-namespace}stage__img-wrap {
    margin: 0;
    text-align: center;

    &--full {
        width: 100%;
    }
}

.#{$inuit-namespace}stage__image,
%#{$inuit-namespace}stage__image {
    display: inline-block;
    width: 100%;
}

.#{$inuit-namespace}stage__icon-wrap,
%#{$inuit-namespace}stage__icon-wrap {
    @include grid-column(
    $columns: 4,
    $offset: 10,
    $collapse: true
    );

    display: block;
    height: grid-calc(4, 24);
    margin: (-$drk-base-unit * 1.5) 0;
    position: relative;
    text-align: center;
    z-index: 1;
}

.#{$inuit-namespace}stage__icon,
%#{$inuit-namespace}stage__icon {
    width: 100%;
}
